steps:
  build:
    image: alpine:3.19
    commands:
      - apk add --no-cache zola npm
      - npm install -D tailwindcss @tailwindcss/typography
      - npx tailwindcss -i input.css -o static/css/index.css --minify
      - zola build
  deploy:
    image: git.polynom.me/papatutuwawa/woodpecker-ssg-deploy@sha256:9cfec13eb8ab1b8920c2f1f00f0258a7bfd159fe4e14e0985328086392c0da34
    secrets: [ ssh_key ]
    settings:
      email: "ci@polynom.me"
      name: "polynom.me CI system"
      token_env: "SSH_KEY"
      output: "public"